$widthDatepicker: 275px;
$fontSize: 14px;
$colorFont: rgba(31, 29, 36, 1);
$colorFontDaysWeek: rgba(31, 29, 36, 0.8);
$widthCase: 31px;
$paddingCase: 0.75em 0.4em;
$primary: #0C7DE8;
$borderColor: #d0d0e7;

.datepicker {
  border: 1px solid $borderColor;
  box-sizing: border-box;
  background-color: white;
  color: $colorFont;
  width: $widthDatepicker;
  font-size: $fontSize;
  line-height: 0.5em;
  padding: 1em;
  border-radius: 10px;
  &-header {
    font-size: 16px;
    padding: 0.5em 0;

    display: flex;
    justify-content: space-between;
    &--prev {
      order: 1;
      font-family: 'FontAwesome';
      &:after {
        content: '\f0d9';
      }
    }
    &--title {
      order: 2;
      color: $colorFontDaysWeek;
      font-size: 14px;
      font-weight: bold;
      text-transform: uppercase;
    }
    &--next {
      order: 3;
      font-family: 'FontAwesome';
      &:after {
        content: '\f0da';
      }
    }
    .btn {
      cursor: pointer;
      margin-top: -0.5em;
      padding: 0.5em 0.5em;
      border-radius: 20px;
      font-size: 20px;
      background: none;
      outline: none;
      color: $colorFont;
      border: none;
      //border: 1px solid #6289FF;
      // border: 1px solid #d0d0e7;
    }
  }
  .calendar {
    margin: 0;
    &-dayweek {
      display: flex;
      justify-content: space-between;
      margin-bottom: 0.5em;
      margin: {
        left: -1rem;
        right: -1rem;
      }
      padding: {
        left: 1rem;
        right: 1rem;
      }
      border-bottom: 1px solid $borderColor;
      &-days {
        text-align: center;
        vertical-align: middle;
        height: min-content;
        font-variant: small-caps;
        width: $widthCase;
        padding: $paddingCase;
        color: $colorFontDaysWeek;
        cursor: default;
      }
    }
    &-body {
        text-align: center;
        vertical-align: middle;
      &-weeks {
        display: flex;
        align-content: center;
        align-items: center;
        justify-content: space-between;
        &:not(:last-child) {
          margin-bottom: 0.5em;
        }
      }
      &-day {
        display: flex;
        justify-content:center;
        align-content:center;
        flex-direction:column;
        text-align: center;
        vertical-align: middle;
        height: min-content;
        width: $widthCase;
        border: none;
        padding: $paddingCase;
        &--selectable {
          cursor: pointer;
          border-radius: 20px;
          transition: .2s ease;
          &:hover {
            box-shadow: 0 0 0 1px #6289FF inset;
          }
          &:focus {
            background-color: #6289FF;
            color: white;
          }
        }
        
          &--selected {
            background-color: #6289FF;
            color: white;
          }

          &--disabled {
            pointer-events: none;
            opacity: 0.3;
          }
      }
    }
  }
}